Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

action
enum<string>
required

enable to activate, disable to deactivate, archive to archive, un_archive to restore from archive.

Available options:
enable,
disable,
archive,
un_archive

Body

application/json
document_ids
string[]
required

List of document IDs to update.

Response

Documents updated successfully.

result
string

Operation result.